Loading...
Searching...
No Matches
Opm::BlackOilDispersionIntensiveQuantities< TypeTag, true > Class Template Reference

More...

`#include <blackoildispersionmodule.hh>`

## Public Member Functions

Scalar | normVelocityCell (unsigned phaseIdx) const
| Returns the max.

## Protected Member Functions

template<class ElementContext>
void | update_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the quantities required to calculate dispersive mass fluxes.

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDispersionIntensiveQuantities< TypeTag, true >

## Member Function Documentation

## normVelocityCell()

template<class TypeTag>

Scalar Opm::BlackOilDispersionIntensiveQuantities< TypeTag, true >::normVelocityCell | ( | unsigned | phaseIdx | ) | const

inline

Returns the max.

norm of the filter velocity of the cell.

## update_()

template<class TypeTag>
template<class ElementContext>

void Opm::BlackOilDispersionIntensiveQuantities< TypeTag, true >::update_ | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline protected

Update the quantities required to calculate dispersive mass fluxes.

This considers the linear disperison model described in the SPE CSP11 benchmark document (eq. 2.3) https://github.com/Simulation-Benchmarks/11thSPE-CSP/ blob/main/description/spe_csp11_description.pdf The maximum norm is used to compute the cell filter velocity value of the corresponding phase.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildispersionmodule.hh